PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Attributes | List of all members
plask::MaterialInfo::PropertyInfo Class Reference

Collect information about material property. More...

`#include <plask/material/info.hpp>`

Collaboration diagram for plask::MaterialInfo::PropertyInfo:
[legend]

## Public Types
typedef std::pair< double, double > | ArgumentRange

## Public Member Functions
boost::tokenizer< boost::char_separator< char > > | eachLine () const
std::vector< std::string > | eachOfType (const std::string &type) const
| PropertyInfo (std::string info="")
| Construct info with given info.
PropertyInfo & | set (const std::string &new_info)
| Set info on this material property.
const std::string & | get () const
| Get info on this material property.
std::string | getSource () const
| Get bibliography source of this material property.
std::string | getNote () const
| Get note for this material property.
ArgumentRange | getArgumentRange (ARGUMENT_NAME argument) const
| Get the range of argument's values for which the calculation method is known to works fine.
std::vector< Link > | getLinks () const
| Get array of "see also" links.
PropertyInfo & | addSource (const std::string &sourceToAdd)
| Append bibliography source to the info (and the string returned by getSource()).
PropertyInfo & | addNote (const std::string &sourceToAdd)
| Append note to the info (and the string returned by getSource()).
PropertyInfo & | setArgumentRange (ARGUMENT_NAME argument, ArgumentRange range)
| Set the range of argument's values for which the calculation method is known to works fine.
PropertyInfo & | setArgumentRange (ARGUMENT_NAME argument, double from, double to)
| Set the range of argument's values for which the calculation method is known to works fine.
PropertyInfo & | addLink (const Link &link)
| Add link to array of "see also" links.

## Static Public Attributes
static const ArgumentRange | NO_RANGE
| Returned by getArgumentRange if there is no range for given argument, holds two NaNs.

## Detailed Description

Collect information about material property.

Definition at line 148 of file info.hpp.

## Member Typedef Documentation

## ◆ ArgumentRange

typedef std::pair<double, double> plask::MaterialInfo::PropertyInfo::ArgumentRange

Definition at line 171 of file info.hpp.

## Constructor & Destructor Documentation

## ◆ PropertyInfo()

plask::MaterialInfo::PropertyInfo::PropertyInfo | ( | std::string | info = `""` | ) |
| inline

Construct info with given info.

Definition at line 174 of file info.hpp.

## Member Function Documentation

## ◆ addLink()

PropertyInfo & plask::MaterialInfo::PropertyInfo::addLink | ( | const Link & | link | ) |
| inline

Add link to array of "see also" links.

Parameters

  link | link to add

Returns
  *this

Definition at line 260 of file info.hpp.

## ◆ addNote()

PropertyInfo & plask::MaterialInfo::PropertyInfo::addNote | ( | const std::string & | sourceToAdd | ) |
| inline

Append note to the info (and the string returned by getSource()).

Parameters

  sourceToAdd | bibliography source to append

Returns
  *this

Definition at line 233 of file info.hpp.

## ◆ addSource()

PropertyInfo & plask::MaterialInfo::PropertyInfo::addSource | ( | const std::string & | sourceToAdd | ) |
| inline

Append bibliography source to the info (and the string returned by getSource()).

Parameters

  sourceToAdd | bibliography source to append

Returns
  *this

Definition at line 224 of file info.hpp.

## ◆ eachLine()

boost::tokenizer< boost::char_separator< char > > plask::MaterialInfo::PropertyInfo::eachLine | ( |  | ) | const

Definition at line 143 of file info.cpp.

## ◆ eachOfType()

std::vector< std::string > plask::MaterialInfo::PropertyInfo::eachOfType | ( | const std::string & | type | ) | const

Definition at line 147 of file info.cpp.

## ◆ get()

const std::string & plask::MaterialInfo::PropertyInfo::get | ( |  | ) | const
| inline

Get info on this material property.

Returns
  info on this material property

Definition at line 190 of file info.hpp.

## ◆ getArgumentRange()

MaterialInfo::PropertyInfo::ArgumentRange plask::MaterialInfo::PropertyInfo::getArgumentRange | ( | ARGUMENT_NAME | argument | ) | const

Get the range of argument's values for which the calculation method is known to works fine.

Parameters

  argument | name of requested argument

Returns
  range (NO_RANGE if the information is not available)

Definition at line 178 of file info.cpp.

## ◆ getLinks()

std::vector< MaterialInfo::Link > plask::MaterialInfo::PropertyInfo::getLinks | ( |  | ) | const

Get array of "see also" links.

It finds them in info. It tries to parse ech line which starts with "see:".

Returns
  array of "see also" links

Definition at line 189 of file info.cpp.

## ◆ getNote()

std::string plask::MaterialInfo::PropertyInfo::getNote | ( |  | ) | const

Get note for this material property.

One source per line.

Returns
  note this material property

Definition at line 168 of file info.cpp.

## ◆ getSource()

std::string plask::MaterialInfo::PropertyInfo::getSource | ( |  | ) | const

Get bibliography source of this material property.

One source per line.

Returns
  bibliography source of this material property

Definition at line 158 of file info.cpp.

## ◆ set()

PropertyInfo & plask::MaterialInfo::PropertyInfo::set | ( | const std::string & | new_info | ) |
| inline

Set info on this material property.

Parameters

  new_info | info

Returns
  *this

Definition at line 184 of file info.hpp.

## ◆ setArgumentRange() [1/2]

MaterialInfo::PropertyInfo & plask::MaterialInfo::PropertyInfo::setArgumentRange | ( | MaterialInfo::ARGUMENT_NAME | argument,
|  | ArgumentRange | range
| ) |  |

Set the range of argument's values for which the calculation method is known to works fine.

Parameters

  argument | name of argument
  range | range of values for which calculation method is known to works fine (NO_RANGE if the information is not available)

Returns
  *this

Definition at line 198 of file info.cpp.

## ◆ setArgumentRange() [2/2]

PropertyInfo & plask::MaterialInfo::PropertyInfo::setArgumentRange | ( | ARGUMENT_NAME | argument,
|  | double | from,
|  | double | to
| ) |  |
| inline

Set the range of argument's values for which the calculation method is known to works fine.

Parameters

  argument | name of argument
  from,to | range of values for which calculation method is known to works fine

Returns
  *this

Definition at line 251 of file info.hpp.

## Member Data Documentation

## ◆ NO_RANGE

const MaterialInfo::PropertyInfo::ArgumentRange plask::MaterialInfo::PropertyInfo::NO_RANGE
| static

Initial value:
=
ArgumentRange(std::numeric_limits<double>::quiet_NaN(), std::numeric_limits<double>::quiet_NaN())

Returned by getArgumentRange if there is no range for given argument, holds two NaNs.

Definition at line 177 of file info.hpp.

The documentation for this class was generated from the following files:

- plask/material/info.hpp
- plask/material/info.cpp